//----------------------------------------------------------------------------
//  Project owlfx 
//  Some Company
//  Copyright 1999. All Rights reserved.
//
//  SUBSYSTEM:    owlfx Application
//  FILE:         owlfxapp.cpp
//  AUTHOR:       Author
//
//  OVERVIEW
//  ~~~~~~~~
//  Source file for implementation of TowlfxAppl (TApplication).
//  (Generated by OWL 6.0 Wizard for MS VC )
//----------------------------------------------------------------------------
#include "owlpch.h"

#include <owlfx/previewd.h>
#include <owlfx/imgdescr.h>
#include "owlfexapp.h"

_OWLFX_USING_NAMESPACE

// This will be for our "main" framewindow
//
class TNoClientWindow : public TWindow{
	public:
  	TNoClientWindow(TWindow*parent=0):TWindow(parent){Attr.W = 400;Attr.H = 0;}
    
		void CmFileOpen();
		void CmFileSave();

   DECLARE_RESPONSE_TABLE(TNoClientWindow);
};

DEFINE_RESPONSE_TABLE1(TNoClientWindow, TWindow)
	EV_COMMAND(CM_TEST, CmFileOpen),
	EV_COMMAND(CM_TEST2, CmFileSave),
END_RESPONSE_TABLE;

void
TNoClientWindow::CmFileOpen()
{
	TFileOpenDialog::TData data;
	TFileOpenPreviewDlg dlg(this, data);
	dlg.SetDialogFilter(data, true);
	if (dlg.Execute() != IDOK) {
    if (data.Error != 0) {   // 0 value means user selected Cancel
      char  msg[50];
      sprintf(msg, "GetOpenFileName returned Error #%ld", data.Error);
      MessageBox(msg, "WARNING", MB_OK|MB_ICONSTOP);
    }
  }
}

void
TNoClientWindow::CmFileSave()
{
	TFileOpenDialog::TData data;
	TFileSavePreviewDlg dlg(this, data);
	dlg.SetDialogFilter(data, false);
	if (dlg.Execute() != IDOK) {
    if (data.Error != 0) {   // 0 value means user selected Cancel
      char  msg[50];
      sprintf(msg, "GetOpenFileName returned Error #%ld", data.Error);
      MessageBox(msg, "WARNING", MB_OK|MB_ICONSTOP);
    }
  }
}

class TestApp : public TApplication {
	public:
		TestApp() : TApplication() 
		{
			RegisterImageDescriptors();
		}
		~TestApp()
		{
			UnregisterImageDescriptors();
		}
		void InitMainWindow()
		{
			MainWindow = new TFrameWindow(0, "TOwlFX Test App", new TNoClientWindow(),true);
			MainWindow->AssignMenu(IDM_TEST);
		}
};

//-------------------------------------------------------------------
// OwlMain
// ~~~~~~~
// Application Start here.
//
int
OwlMain(int /*argc*/, LPTSTR /*argv*/[])
{
	//
	//

	//
  return TestApp().Run();
}
//


